Subject: bug#76338: closed (Re: bug#76368: Cannot reboot when virtlogd and containerd is running?)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 23 Feb 2025 23:06:02 +0000

Your bug report

#76338: shepherd restarts service during shutdown and then waits forever

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76338: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76338
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76368: Cannot reboot when virtlogd and containerd is running?
From: Ludovic Courtès <[email-masked]>
To: Dariqq <[email-masked]>
Cc: [email-masked], Richard Sent <[email-masked]>, Simen Endsjø <[email-masked]>, Felix Lechner <[email-masked]>, [email-masked]
Date: Mon, 24 Feb 2025 00:04:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

> I’ve just sent a patch in this issue adding ‘user-processes’ to all
> these + virtlogd, and another one documenting ‘user-processes’ in the
> manual.
>
> I’ll apply it tomorrow if there are no objections.

Pushed:

  bcb772d7d00 doc: Write about depending on the ‘user-processes’ Shepherd service.
  bd7b9e6a601 services: Add missing Shepherd dependency on ‘user-processes’.

Ludo’.

Subject: shepherd restarts service during shutdown and then waits forever
From: Dariqq <[email-masked]>
To: [email-masked]
Date: Sun, 16 Feb 2025 14:38:49 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

After I updated today I noticed that the system was not shutting down 
properly. The reason was that stopping of user-processes causes shepherd 
to respawn thermald.

The following is happening on tty12 (and is annoyingly not logged to 
/var/log/messages):

[...]
Stopping user processes
Sending all processes the TERM Signal
thermald : Terminating on user request
Respawning thermald
Service service thermald
Service thermald running with value ...
Service thermald has been started
[...]

Waiting for process termination (processes left (1 THERMALD-PID)
Waiting for process termination (processes left (1 THERMALD-PID)
Waiting for process termination (processes left (1 THERMALD-PID)
[...]

The issue is that thermald (and possibly other services) don't depend on 
user-processes service. Don't know why I had no problems until now.

Have a nice day,
Dariqq